package com.xzzn.ems.service;

import java.util.List;
import com.xzzn.ems.domain.EmsDeviceChangeLog;

/**
 * 设备状态变更记录Service接口
 *
 * @author xzzn
 * @date 2025-11-15
 */
public interface IEmsDeviceChangeLogService
{
    /**
     * 查询设备状态变更记录
     *
     * @param id 设备状态变更记录主键
     * @return 设备状态变更记录
     */
    public EmsDeviceChangeLog selectEmsDeviceChangeLogById(Long id);

    /**
     * 查询设备状态变更记录列表
     *
     * @param emsDeviceChangeLog 设备状态变更记录
     * @return 设备状态变更记录集合
     */
    public List<EmsDeviceChangeLog> selectEmsDeviceChangeLogList(EmsDeviceChangeLog emsDeviceChangeLog);

    /**
     * 新增设备状态变更记录
     *
     * @param emsDeviceChangeLog 设备状态变更记录
     * @return 结果
     */
    public int insertEmsDeviceChangeLog(EmsDeviceChangeLog emsDeviceChangeLog);

    /**
     * 修改设备状态变更记录
     *
     * @param emsDeviceChangeLog 设备状态变更记录
     * @return 结果
     */
    public int updateEmsDeviceChangeLog(EmsDeviceChangeLog emsDeviceChangeLog);

    /**
     * 批量删除设备状态变更记录
     *
     * @param ids 需要删除的设备状态变更记录主键集合
     * @return 结果
     */
    public int deleteEmsDeviceChangeLogByIds(Long[] ids);

    /**
     * 删除设备状态变更记录信息
     *
     * @param id 设备状态变更记录主键
     * @return 结果
     */
    public int deleteEmsDeviceChangeLogById(Long id);

    // 处理本地端同步设备状态变更数据
    public void dealSyncData(String content, String operateType);
}
